package icu.fur93.esp32_car.ui.carditem

import android.annotation.SuppressLint
import androidx.compose.runtime.Composable
import icu.fur93.esp32_car.ui.component.CardItem
import icu.fur93.esp32_car.ui.component.StatusCardItemText
import icu.fur93.esp32_car.const.RunModeConsts
import icu.fur93.esp32_car.entity.car.RunModeState

@SuppressLint("ComposableNaming")
@Composable
fun StatusCardPathfinderStatus (runModeState: RunModeState) : CardItem {
    return CardItem(
        title = "循迹状态",
        content = {
            StatusCardItemText(if (runModeState.runMode == RunModeConsts.MODE_TRACKING) "进行中" else "未进行")
        }
    )
}